published on Monday, Apr 20, 2026 by Pulumi
published on Monday, Apr 20, 2026 by Pulumi
# f5bigip.GtmMonitorHttp Resource
Provides a BIG-IP GTM (Global Traffic Manager) HTTP Monitor resource. This resource allows you to configure and manage GTM HTTP health monitors on a BIG-IP system.
Description
A GTM HTTP monitor verifies the HTTP service by attempting to receive specific content from a web page.
Example Usage
Basic HTTP Monitor
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const example = new f5bigip.GtmMonitorHttp("example", {name: "/Common/my_http_monitor"});
import pulumi
import pulumi_f5bigip as f5bigip
example = f5bigip.GtmMonitorHttp("example", name="/Common/my_http_monitor")
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmMonitorHttp(ctx, "example", &f5bigip.GtmMonitorHttpArgs{
Name: pulumi.String("/Common/my_http_monitor"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var example = new F5BigIP.Index.GtmMonitorHttp("example", new()
{
Name = "/Common/my_http_monitor",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmMonitorHttp;
import com.pulumi.f5bigip.GtmMonitorHttpArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var example = new GtmMonitorHttp("example", GtmMonitorHttpArgs.builder()
.name("/Common/my_http_monitor")
.build());
}
}
resources:
example:
type: f5bigip:GtmMonitorHttp
properties:
name: /Common/my_http_monitor
Full HTTP Monitor Configuration
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const advanced = new f5bigip.GtmMonitorHttp("advanced", {
name: "/Common/my_http_monitor",
defaultsFrom: "/Common/http",
destination: "*:80",
interval: 10,
timeout: 60,
probeTimeout: 3,
ignoreDownResponse: "disabled",
transparent: "disabled",
reverse: "disabled",
send: "GET /health\\r\\n",
receive: "200 OK",
});
import pulumi
import pulumi_f5bigip as f5bigip
advanced = f5bigip.GtmMonitorHttp("advanced",
name="/Common/my_http_monitor",
defaults_from="/Common/http",
destination="*:80",
interval=10,
timeout=60,
probe_timeout=3,
ignore_down_response="disabled",
transparent="disabled",
reverse="disabled",
send="GET /health\\r\\n",
receive="200 OK")
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmMonitorHttp(ctx, "advanced", &f5bigip.GtmMonitorHttpArgs{
Name: pulumi.String("/Common/my_http_monitor"),
DefaultsFrom: pulumi.String("/Common/http"),
Destination: pulumi.String("*:80"),
Interval: pulumi.Int(10),
Timeout: pulumi.Int(60),
ProbeTimeout: pulumi.Int(3),
IgnoreDownResponse: pulumi.String("disabled"),
Transparent: pulumi.String("disabled"),
Reverse: pulumi.String("disabled"),
Send: pulumi.String("GET /health\\r\\n"),
Receive: pulumi.String("200 OK"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var advanced = new F5BigIP.Index.GtmMonitorHttp("advanced", new()
{
Name = "/Common/my_http_monitor",
DefaultsFrom = "/Common/http",
Destination = "*:80",
Interval = 10,
Timeout = 60,
ProbeTimeout = 3,
IgnoreDownResponse = "disabled",
Transparent = "disabled",
Reverse = "disabled",
Send = "GET /health\\r\\n",
Receive = "200 OK",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmMonitorHttp;
import com.pulumi.f5bigip.GtmMonitorHttpArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var advanced = new GtmMonitorHttp("advanced", GtmMonitorHttpArgs.builder()
.name("/Common/my_http_monitor")
.defaultsFrom("/Common/http")
.destination("*:80")
.interval(10)
.timeout(60)
.probeTimeout(3)
.ignoreDownResponse("disabled")
.transparent("disabled")
.reverse("disabled")
.send("GET /health\\r\\n")
.receive("200 OK")
.build());
}
}
resources:
advanced:
type: f5bigip:GtmMonitorHttp
properties:
name: /Common/my_http_monitor
defaultsFrom: /Common/http
destination: '*:80'
interval: 10
timeout: 60
probeTimeout: 3
ignoreDownResponse: disabled
transparent: disabled
reverse: disabled
send: GET /health\r\n
receive: 200 OK
Create GtmMonitorHttp Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new GtmMonitorHttp(name: string, args: GtmMonitorHttpArgs, opts?: CustomResourceOptions);@overload
def GtmMonitorHttp(resource_name: str,
args: GtmMonitorHttpArgs,
opts: Optional[ResourceOptions] = None)
@overload
def GtmMonitorHttp(resource_name: str,
opts: Optional[ResourceOptions] = None,
name: Optional[str] = None,
defaults_from: Optional[str] = None,
destination: Optional[str] = None,
ignore_down_response: Optional[str] = None,
interval: Optional[int] = None,
probe_timeout: Optional[int] = None,
receive: Optional[str] = None,
reverse: Optional[str] = None,
send: Optional[str] = None,
timeout: Optional[int] = None,
transparent: Optional[str] = None)func NewGtmMonitorHttp(ctx *Context, name string, args GtmMonitorHttpArgs, opts ...ResourceOption) (*GtmMonitorHttp, error)public GtmMonitorHttp(string name, GtmMonitorHttpArgs args, CustomResourceOptions? opts = null)
public GtmMonitorHttp(String name, GtmMonitorHttpArgs args)
public GtmMonitorHttp(String name, GtmMonitorHttpArgs args, CustomResourceOptions options)
type: f5bigip:GtmMonitorHttp
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args GtmMonitorHttpArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args GtmMonitorHttpArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args GtmMonitorHttpArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args GtmMonitorHttpArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args GtmMonitorHttpArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
GtmMonitorHttp Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The GtmMonitorHttp resource accepts the following input properties:
- Name string
- Name of the GTM HTTP monitor
- Defaults
From string - Inherit properties from this monitor
- Destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- Ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- Interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- Probe
Timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- Receive string
- Specifies the text string that the monitor looks for in the returned resource
- Reverse string
- Instructs the system to mark the target resource down when the test is successful
- Send string
- Specifies the text string that the monitor sends to the target object
- Timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- Transparent string
- Specifies whether the monitor operates in transparent mode
- Name string
- Name of the GTM HTTP monitor
- Defaults
From string - Inherit properties from this monitor
- Destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- Ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- Interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- Probe
Timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- Receive string
- Specifies the text string that the monitor looks for in the returned resource
- Reverse string
- Instructs the system to mark the target resource down when the test is successful
- Send string
- Specifies the text string that the monitor sends to the target object
- Timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- Transparent string
- Specifies whether the monitor operates in transparent mode
- name String
- Name of the GTM HTTP monitor
- defaults
From String - Inherit properties from this monitor
- destination String
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down StringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval Integer
- Specifies, in seconds, the frequency at which the system issues the monitor check
- probe
Timeout Integer - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive String
- Specifies the text string that the monitor looks for in the returned resource
- reverse String
- Instructs the system to mark the target resource down when the test is successful
- send String
- Specifies the text string that the monitor sends to the target object
- timeout Integer
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent String
- Specifies whether the monitor operates in transparent mode
- name string
- Name of the GTM HTTP monitor
- defaults
From string - Inherit properties from this monitor
- destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval number
- Specifies, in seconds, the frequency at which the system issues the monitor check
- probe
Timeout number - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive string
- Specifies the text string that the monitor looks for in the returned resource
- reverse string
- Instructs the system to mark the target resource down when the test is successful
- send string
- Specifies the text string that the monitor sends to the target object
- timeout number
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent string
- Specifies whether the monitor operates in transparent mode
- name str
- Name of the GTM HTTP monitor
- defaults_
from str - Inherit properties from this monitor
- destination str
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore_
down_ strresponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- probe_
timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive str
- Specifies the text string that the monitor looks for in the returned resource
- reverse str
- Instructs the system to mark the target resource down when the test is successful
- send str
- Specifies the text string that the monitor sends to the target object
- timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent str
- Specifies whether the monitor operates in transparent mode
- name String
- Name of the GTM HTTP monitor
- defaults
From String - Inherit properties from this monitor
- destination String
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down StringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval Number
- Specifies, in seconds, the frequency at which the system issues the monitor check
- probe
Timeout Number - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive String
- Specifies the text string that the monitor looks for in the returned resource
- reverse String
- Instructs the system to mark the target resource down when the test is successful
- send String
- Specifies the text string that the monitor sends to the target object
- timeout Number
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent String
- Specifies whether the monitor operates in transparent mode
Outputs
All input properties are implicitly available as output properties. Additionally, the GtmMonitorHttp resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing GtmMonitorHttp Resource
Get an existing GtmMonitorHttp resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: GtmMonitorHttpState, opts?: CustomResourceOptions): GtmMonitorHttp@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
defaults_from: Optional[str] = None,
destination: Optional[str] = None,
ignore_down_response: Optional[str] = None,
interval: Optional[int] = None,
name: Optional[str] = None,
probe_timeout: Optional[int] = None,
receive: Optional[str] = None,
reverse: Optional[str] = None,
send: Optional[str] = None,
timeout: Optional[int] = None,
transparent: Optional[str] = None) -> GtmMonitorHttpfunc GetGtmMonitorHttp(ctx *Context, name string, id IDInput, state *GtmMonitorHttpState, opts ...ResourceOption) (*GtmMonitorHttp, error)public static GtmMonitorHttp Get(string name, Input<string> id, GtmMonitorHttpState? state, CustomResourceOptions? opts = null)public static GtmMonitorHttp get(String name, Output<String> id, GtmMonitorHttpState state, CustomResourceOptions options)resources: _: type: f5bigip:GtmMonitorHttp get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Defaults
From string - Inherit properties from this monitor
- Destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- Ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- Interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- Name string
- Name of the GTM HTTP monitor
- Probe
Timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- Receive string
- Specifies the text string that the monitor looks for in the returned resource
- Reverse string
- Instructs the system to mark the target resource down when the test is successful
- Send string
- Specifies the text string that the monitor sends to the target object
- Timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- Transparent string
- Specifies whether the monitor operates in transparent mode
- Defaults
From string - Inherit properties from this monitor
- Destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- Ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- Interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- Name string
- Name of the GTM HTTP monitor
- Probe
Timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- Receive string
- Specifies the text string that the monitor looks for in the returned resource
- Reverse string
- Instructs the system to mark the target resource down when the test is successful
- Send string
- Specifies the text string that the monitor sends to the target object
- Timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- Transparent string
- Specifies whether the monitor operates in transparent mode
- defaults
From String - Inherit properties from this monitor
- destination String
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down StringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval Integer
- Specifies, in seconds, the frequency at which the system issues the monitor check
- name String
- Name of the GTM HTTP monitor
- probe
Timeout Integer - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive String
- Specifies the text string that the monitor looks for in the returned resource
- reverse String
- Instructs the system to mark the target resource down when the test is successful
- send String
- Specifies the text string that the monitor sends to the target object
- timeout Integer
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent String
- Specifies whether the monitor operates in transparent mode
- defaults
From string - Inherit properties from this monitor
- destination string
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down stringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval number
- Specifies, in seconds, the frequency at which the system issues the monitor check
- name string
- Name of the GTM HTTP monitor
- probe
Timeout number - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive string
- Specifies the text string that the monitor looks for in the returned resource
- reverse string
- Instructs the system to mark the target resource down when the test is successful
- send string
- Specifies the text string that the monitor sends to the target object
- timeout number
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent string
- Specifies whether the monitor operates in transparent mode
- defaults_
from str - Inherit properties from this monitor
- destination str
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore_
down_ strresponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval int
- Specifies, in seconds, the frequency at which the system issues the monitor check
- name str
- Name of the GTM HTTP monitor
- probe_
timeout int - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive str
- Specifies the text string that the monitor looks for in the returned resource
- reverse str
- Instructs the system to mark the target resource down when the test is successful
- send str
- Specifies the text string that the monitor sends to the target object
- timeout int
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent str
- Specifies whether the monitor operates in transparent mode
- defaults
From String - Inherit properties from this monitor
- destination String
- Specifies the IP address and service port of the resource that is the destination of this monitor. Format: ip:port. Default is ":"
- ignore
Down StringResponse - Specifies whether the monitor ignores a down response from the system it is monitoring
- interval Number
- Specifies, in seconds, the frequency at which the system issues the monitor check
- name String
- Name of the GTM HTTP monitor
- probe
Timeout Number - Specifies the number of seconds after which the BIG-IP system times out the probe request to the BIG-IP system
- receive String
- Specifies the text string that the monitor looks for in the returned resource
- reverse String
- Instructs the system to mark the target resource down when the test is successful
- send String
- Specifies the text string that the monitor sends to the target object
- timeout Number
- Specifies the number of seconds the target has in which to respond to the monitor request
- transparent String
- Specifies whether the monitor operates in transparent mode
Import
GTM HTTP Monitor resources can be imported using the full path name:
$ pulumi import f5bigip:index/gtmMonitorHttp:GtmMonitorHttp example /Common/my_http_monitor
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- f5 BIG-IP pulumi/pulumi-f5bigip
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
bigipTerraform Provider.
published on Monday, Apr 20, 2026 by Pulumi
